Bug 238842 - deskutils/noti: update to 3.2.0
Summary: deskutils/noti: update to 3.2.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kai Knoblich
URL: https://github.com/variadico/noti/rel...
Keywords:
Depends on:
Blocks:
 
Reported: 2019-06-27 08:18 UTC by Hiroki Tagato
Modified: 2019-07-15 10:46 UTC (History)
2 users (show)

See Also:


Attachments
Patch (1.57 KB, patch)
2019-06-27 08:18 UTC, Hiroki Tagato
tagattie: maintainer-approval+
Details | Diff
Revised patch (1.58 KB, patch)
2019-06-28 05:30 UTC, Hiroki Tagato
tagattie: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Hiroki Tagato 2019-06-27 08:18:59 UTC
Created attachment 205370 [details]
Patch

noti has been updated to 3.2.0.

Upstream changes:
Added
- Support for Mattermost.
- Support for Slack App URL.
- Support for pollPID for BSD and Windows.
Removed
- Installation by go get, can revisit in Go 1.14.
Fixed
- Incorrect deprecation mapping.

https://github.com/variadico/noti/releases/tag/3.2.0

QA:
poudriere testport OK (releng/12.0 amd64)
Comment 1 Alexey Dokuchaev freebsd_committer 2019-06-27 11:56:56 UTC
Patch looks fine, except for a minor nit: manpages should go to under ${MANPREFIX}, not ${PREFIX}.  Usually they are the same, so people tend to not know or neglect the difference.
Comment 2 Hiroki Tagato 2019-06-28 05:28:41 UTC
(In reply to Alexey Dokuchaev from comment #1)

Thanks a lot for pointing this out. I wasn't aware of MANPREFIX. I will update the patch to it for manual installation path.
Comment 3 Hiroki Tagato 2019-06-28 05:30:32 UTC
Created attachment 205390 [details]
Revised patch
Comment 4 commit-hook freebsd_committer 2019-07-15 10:12:30 UTC
A commit references this bug:

Author: kai
Date: Mon Jul 15 10:11:38 UTC 2019
New revision: 506654
URL: https://svnweb.freebsd.org/changeset/ports/506654

Log:
  deskutils/noti: Update to 3.2.0

  * Switch to GO modules-aware build mode as the port uses various modules.

  Changelog:

  Added:
  * Support for Mattermost.
  * Support for Slack App URL.
  * Support for pollPID for BSD and Windows.

  Removed:
  * Installation by go get, can revisit in Go 1.14.

  Fixed:
  * Incorrect deprecation mapping.

  https://github.com/variadico/noti/releases/tag/3.2.0

  PR:		238842
  Submitted by:	Hiroki Tagato <tagattie@yandex.com> (maintainer)
  Reviewed by:	danfe

Changes:
  head/deskutils/noti/Makefile
  head/deskutils/noti/distinfo
Comment 5 Kai Knoblich freebsd_committer 2019-07-15 10:15:36 UTC
Committed, thank you for the patch!